
## Description

Adds 15 different Fantasy Creatures spread across all the Biomes with basic drop (Coins) and spawn tables. (Use Spawn That and Drop that or CLLC to reconfigure them)

## Predfab Names

- Cyclops_DoD
- DarknessSpider_FC
- DemonLord_DoD
- EarthElemental_DoD
- FireElemental_DoD
- Ghoul_FC
- GiantViper_FC
- Hobgoblin_DoD
- IceElemental_DoD
- Kobold_DoD
- Manticore_FC
- Mummy_FC
- Ogre_DoD
- TreeEnt_DoD
- Griffin_FC
- Harpy_FC


## API Spawn Index Numbers

- 20000: Spider
- 20001: Kobold
- 20002: Viper
- 20003: Hobgoblin
- 20004: Ent
- 20005: Ghoul
- 20006: Mummy
- 20008: Ogre
- 20009: Cyclops
- 20010: Manticore
- 20011: Earth Elemental
- 20012: Ice Elemental
- 20013: Fire Elemental
- 20014: Demonlord
- 20015: Griffin
- 20016: Harpy


## Attack Animation Triggers

**Cyclops**

- attack1
- attack2
- attackcombo2
- attackcombo3
- attackcrush
- attacksmash

**Demon Lord**

- attack1
- attack2
- attackcombo2
- attackcombo3
- attackwhip

**Elementals**

- attack1
- attack2
- attackcombo1
- attackcombo2
- attackcombo3
- attacksmash
- attackgrab
- attackswipe

**Ent**

- clawattackleft
- clawattackright
- clawattack2combo
- stompattack
- clawattack3combo

**Ghoul**

- attack1
- attack2
- attack3
- attackcombo2
- attackcombo3

**Hobgoblin**

- attack1
- attack2
- attack3
- attackcombo2
- attackcombo3

**Kobold**

- attack1
- attack2
- attack3
- attack4
- attackcombo1
- attackcombo2
- attackcombo3
- attackcombo4

**Manticore**

- attack1
- attack2
- attack3
- attacksting
- attackstingcombo

**Mummy (Melee)**

- attack1
- attack2
- attack3
- attackcombo2
- attackcombo3

**Mummy (Range)**

- whip1
- whip2
- whip3
- whipcombo2
- whipcombo3

**Ogre**

- attack1
- attack2
- attack3
- attackcombo2
- attackcombo3

**Spider**

- attackbite

**Giant Viper**

- attackbite


## Support

If you like what I do and want to support me.

<a href="https://www.buymeacoffee.com/horemvore"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=horemvore&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff" /></a>

 
## Patch Notes

**0.3.3**

	Adjusted Spawn Interval

**0.3.2**

	Bugfixing

**0.3.1**

	Added missing level effect components to keep mod compatibility.

**0.3.0**

	Re-enabled Harpy and Griffin.
	Localization bugfixing.

**0.2.4**

- Code fixes.
- Updated all attacks to be compatible with Wackys Database.

**0.2.3**

- Bugfixing.

**0.2.2**

- Localization fixes.
	
**0.2.1**

- Fixed mobs not moving up/down slopes correcty, if at all.

**0.2.0**

- Added death animations.
- Disabled logging.

**0.1.3**

- Balance tweaks to Ent.

**0.1.2**

- Fix for some trophy animations.

**0.1.1**

- Fix for missing VFX and cross over VFX.

**0.1.0**

- Collider fixes.
- Added Biome related drops to all monsters.
- Added Animated Trophies.

**0.0.9**

- Spawn Fix.
	
**0.0.8**

- Adjusted movement speed on Mummy, Elemental's and Demon Lord
- Adjusted attack ranges on most creatures.
- Giant Viper moved to Ocean Biome.
	
**0.0.7**

- Fixed broken Eye Posistions.
- Fixed broken Attacks.
- Adjusted Colliders.
- Turned Logging off.
- Included FC_Config.zip, contains Spawn That and CLLC configs.

**0.0.6**

- Included correct dll, not my half changed one from testing.

**0.0.5**

- Adjusted Spawns.
- Adjusted Colliders.
	
**0.0.4**

- Removed VisEquips on mobs that were not using since it still causes NRE's.

**0.0.3**

- Disabled VisEquip on Monsters to stop NRE spam due to no VisEquip items been equiped.
- Adjusted Ent Attacks.
- Disabled Giant Viper untill I can work out why its floating.
	
**0.0.2**

- Added more details to Description.
- Adjusted all monsters attack speed.
- Adjusted Ent attacks.
- Adjusted Viper attack.
- Adjusted all monsters Vertical Strikes.
	
**0.0.1**

- Initial upload to TS.